nxt.blockchain

## Interface Attachment

- All Superinterfaces:
    Appendix
  All Known Subinterfaces:
    ShufflingAttachment
  All Known Implementing Classes:
    AbstractShufflingAttachment, AccountInfoAttachment, AccountPropertyAttachment, AccountPropertyDeleteAttachment, AliasAssignmentAttachment, AliasBuyAttachment, AliasDeleteAttachment, AliasSellAttachment, AskOrderCancellationAttachment, AskOrderPlacementAttachment, AssetDeleteAttachment, AssetIncreaseAttachment, AssetIssuanceAttachment, AssetPropertyAttachment, AssetPropertyDeleteAttachment, AssetTransferAttachment, Attachment.AbstractAttachment, Attachment.EmptyAttachment, Attachment.PropertyDeleteAttachment, BidOrderCancellationAttachment, BidOrderPlacementAttachment, ChildBlockAttachment, ContractReferenceAttachment, ContractReferenceDeleteAttachment, CurrencyDeletionAttachment, CurrencyIssuanceAttachment, CurrencyMintingAttachment, CurrencyTransferAttachment, DelistingAttachment, DeliveryAttachment, DividendPaymentAttachment, EffectiveBalanceLeasingAttachment, ExchangeAttachment, ExchangeBuyAttachment, ExchangeSellAttachment, FeedbackAttachment, ListingAttachment, MessageAttachment, OrderCancelAttachment, OrderCancelFxtAttachment, OrderCancellationAttachment, OrderIssueAttachment, OrderIssueFxtAttachment, OrderPlacementAttachment, PaymentAttachment, PaymentFxtAttachment, PhasingVoteCastingAttachment, PollCreationAttachment, PriceChangeAttachment, PublishExchangeOfferAttachment, PurchaseAttachment, QuantityChangeAttachment, RefundAttachment, ReserveClaimAttachment, ReserveIncreaseAttachment, SetPhasingAssetControlAttachment, SetPhasingOnlyAttachment, ShufflingCancellationAttachment, ShufflingCreationAttachment, ShufflingProcessingAttachment, ShufflingRecipientsAttachment, ShufflingRegistrationAttachment, ShufflingVerificationAttachment, TaggedDataAttachment, UnencryptedDeliveryAttachment, VoteCastingAttachment

      public interface Attachment
      extends Appendix

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Attachment.AbstractAttachment`
    `static class` | `Attachment.EmptyAttachment`
    `static class` | `Attachment.PropertyDeleteAttachment`

    - ### Nested classes/interfaces inherited from interface nxt.blockchain.Appendix

      `Appendix.AbstractAppendix, Appendix.Encryptable, Appendix.Parser, Appendix.Prunable`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `TransactionType` | `getTransactionType()`

    - ### Methods inherited from interface nxt.blockchain.Appendix

      `getAppendixType, getBaselineFee, getBaselineFeeHeight, getFee, getFullSize, getJSONObject, getNextFee, getNextFeeHeight, getSize, getVersion, hasAppendix, isAllowed, isPhased, putBytes`

- - ### Method Detail

    - #### getTransactionType

          TransactionType getTransactionType()